import Vue from 'vue'
import VueI18n from 'vue-i18n'

Vue.use(VueI18n)

// 创建vue-i18n实例i18n
const i18n = new VueI18n({
  // 设置默认语言
  locale: window.localStorage.getItem('i18n_local') || 'en',
  messages: {
    zh: require('./lang/zh'),
    en: require('./lang/en')
  }
})

export default i18n
