import httpRequest from '@/utils/axios'

// 获取用户信息
export function getUser() {
  return httpRequest.get('/api/certs/v1/student/get-info')
}
// 获取学籍信息
export function getSchoolInfo(params) {
  return httpRequest.get('/api/certs/v1/student/get-school-info', { params })
}
// 获取查询条件
export function getCondition() {
  return httpRequest.get('/api/certs/v1/student/get-condition')
}
// 成绩查询
export function getScore(params) {
  return httpRequest.get('/api/certs/v1/student/get-score', { params })
}
// 成绩查询
export function getCerts(params) {
  return httpRequest.get('/api/certs/v1/student/get-certificate', { params })
}
// 登出
export function logout() {
  return httpRequest.get('/api/passport/rest/logout')
}
// 更新邮箱
export function updateInfo(data) {
  return httpRequest.post('/api/certs/v1/student/update-info', data)
}
